<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Add Team</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<body>
<div th:replace="~{fragments/header :: header}"></div>
<div class="container">
    <div class="text-center my-4">
        <h1 th:text="#{addTeam.text1}">Welcome to the Team Registration Page</h1>
        <p th:text="#{addTeam.text2}">Here, you can add a new cycling team to our database. Fill out the details below and click 'Submit' to
            include them in our cycling community.</p>
    </div>
    <form th:object="${newTeam}" th:action="@{/addteam}" method="post">
        <div class="form-group">
            <label th:text="#{addTeam.text3}" for="teamName">Team Name:</label>
            <input type="text" class="form-control" id="teamName" th:field="*{teamName}">
            <div class="text-danger" th:if="${#fields.hasErrors('teamName')}" th:errors="*{teamName}"></div>
        </div>
        <div class="form-group">
            <label th:text="#{addTeam.text4}" for="sponsor">Sponsor:</label>
            <input type="text" class="form-control" id="sponsor" th:field="*{sponsor}">
            <div class="text-danger" th:if="${#fields.hasErrors('sponsor')}" th:errors="*{sponsor}"></div>
        </div>
        <div class="form-group">
            <label th:text="#{addTeam.text5}" for="country">Country:</label>
            <input type="text" class="form-control" id="country" th:field="*{country}">
            <div class="text-danger" th:if="${#fields.hasErrors('country')}" th:errors="*{country}"></div>
        </div>
        <div class="form-group">
            <label th:text="#{addTeam.text6}" for="bikeBrand">Bike Brand:</label>
            <input type="text" class="form-control" id="bikeBrand" th:field="*{bikeBrand}">
            <div class="text-danger" th:if="${#fields.hasErrors('bikeBrand')}" th:errors="*{bikeBrand}"></div>
        </div>
        <div class="form-group">
            <label th:text="#{addTeam.text7}" for="founded">Founded:</label>
            <input type="number" class="form-control" id="founded" th:field="*{founded}">
            <div class="text-danger" th:if="${#fields.hasErrors('founded')}" th:errors="*{founded}"></div>
        </div>

        <button th:text="#{addTeam.text8}" type="submit" class="btn btn-primary btn-block">Submit</button>
    </form>
</div>
<div th:replace="~{fragments/footer :: footer}"></div>
</body>
</html>
